AlertConditionEvaluatorStateRepository (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.AlertConditionEvaluatorStateRepository interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Interface AlertConditionEvaluatorStateRepository

All Known Implementing Classes:
  FileAlertConditionEvaluatorStateRepository

    public interface AlertConditionEvaluatorStateRepository

Repository to save and access state of `AlertConditionEvaluator`s and their associated `ExecutionStrategy`s.

Method Summary
`java.util.Map` | `getAlertConditionEvaluatorStates()`
`java.util.Map` | `getExecutionStrategyStates()`
`void` | `saveAlertConditionEvaluatorStates(java.util.Map alertConditionEvaluatorStates)` Persists states of `AlertConditionEvaluator`s
`void` | `saveExecutionStrategyStates(java.util.Map executionStrategyStates)` Persists states of `ExecutionStrategy`s

Method Detail

### getAlertConditionEvaluatorStates

    java.util.Map getAlertConditionEvaluatorStates()

  Returns:
    A Map where key is alert definition ID and value is the Serializable stored state of the `AlertConditionEvaluator` with that ID.

### getExecutionStrategyStates

    java.util.Map getExecutionStrategyStates()

  Returns:
    A Map where key is alert definition ID and value is the Serializable stored state of the `ExecutionStrategy` with that ID.

### saveAlertConditionEvaluatorStates

    void saveAlertConditionEvaluatorStates(java.util.Map alertConditionEvaluatorStates)

  Persists states of `AlertConditionEvaluator`s

  Parameters:
    `alertConditionEvaluatorStates` - A Map where key is alert definition ID and value is the Serializable state of the `AlertConditionEvaluator` with that ID.

### saveExecutionStrategyStates

    void saveExecutionStrategyStates(java.util.Map executionStrategyStates)

  Persists states of `ExecutionStrategy`s

  Parameters:
    `executionStrategyStates` - A Map where key is alert definition ID and value is the Serializable state of the `ExecutionStrategy` with that ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.